Package: javax.swing.tree

## Interface TreeNode

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `TreeNode` | `getAt(int index)` Support the subscript operator for TreeNode.
    `Iterator` | `iterator()` Returns an Iterator which traverses the TreeNode one node at a time.
    `int` | `size()` Provide the standard Groovy `size()` method for `TreeNode`.

- - ### Methods Detail

    - #### public TreeNode getAt(int index)

      Support the subscript operator for TreeNode.

      Parameters:
        `index` - the index of the child node to get
      Returns:
        the child node at the given index
      Since:
        1.6.4

    - #### public Iterator iterator()

      Returns an Iterator which traverses the TreeNode one node at a time.

      Returns:
        an Iterator for a TreeNode
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `TreeNode`.

      Returns:
        the child count of the treeNode
      Since:
        1.6.4